2019-10-23 12:42 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001911FSSCPFREDpublic2009-05-11 05:00
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.11 
Summary0001911: Argument not listed in add data list for optional fields
DescriptionPlaying around with jettison-cargo I tried adding <argument> as the optional cargo to jettison. <argument> was not listed. After doing an add data string it did let me replace that field with <argument>
Additional Information3.6.10 RC2. Screenshot of the event in progress attached.
TagsNo tags attached.
Attached Files
  • jpg file icon 1911.jpg (139,075 bytes) 2009-04-10 01:48 -
    jpg file icon 1911.jpg (139,075 bytes) 2009-04-10 01:48 +

-Relationships
+Relationships

-Notes

~0010816

karajorma (administrator)

The problem stems from sexp_tree::get_listing_opf.

If you're adding data the node you are adding to obviously doesn't exist yet. Which means that current_node evaluates to -1 and then all calls to find_ancestral_argument_number() will fail immediately.

I'm a little stumped as to what to do.

~0010833

karajorma (administrator)

Unstumped.

Fixed in my branch.
+Notes

-Issue History
Date Modified Username Field Change
2009-04-10 01:48 FUBAR-BDHR New Issue
2009-04-10 01:48 FUBAR-BDHR File Added: 1911.jpg
2009-04-10 15:01 karajorma Status new => assigned
2009-04-10 15:01 karajorma Assigned To => karajorma
2009-04-21 17:34 karajorma Note Added: 0010816
2009-04-24 09:01 karajorma Note Added: 0010833
2009-05-11 05:00 karajorma Status assigned => resolved
2009-05-11 05:00 karajorma Fixed in Version => 3.6.11
2009-05-11 05:00 karajorma Resolution open => fixed
+Issue History